com.avaya.deskphoneservices.telecomService

## Class TelecomServiceLibrary

- java.lang.Object
- - com.avaya.deskphoneservices.telecomService.TelecomServiceLibrary

-     public final class TelecomServiceLibrary
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelecomServiceLibrary()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `handleAudioDeviceOffHook()`
    `static TelecomService` | `initialize(android.content.Context context, com.avaya.clientservices.client.Client client, java.lang.String sAccountName)` Initializes the Telecom Services library and its dependencies.
    `static boolean` | `isTelecomServiceInUse()`
    `static void` | `stop(android.content.Context context)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelecomServiceLibrary

          public TelecomServiceLibrary()

  - ### Method Detail

    - #### initialize

          public static TelecomService initialize(android.content.Context context,
                                                  com.avaya.clientservices.client.Client client,
                                                  @NonNull
                                                  java.lang.String sAccountName)
                                           throws java.lang.NullPointerException

      Initializes the Telecom Services library and its dependencies.

      Application should first create `Client` instance and then initialize Telecom services.

      Parameters:
        `context` - Android application context
        `client` - Client SDK's `Client`
        `sAccountName` - The complete `PhoneAccount` used to uniquely
      Returns:
        `TelecomService` instance.
      Throws:
        `java.lang.NullPointerException` - If essential parameters are missing

    - #### stop

          public static void stop(android.content.Context context)

    - #### isTelecomServiceInUse

          public static boolean isTelecomServiceInUse()

    - #### handleAudioDeviceOffHook

          public static void handleAudioDeviceOffHook()